Airwallex logo
Airwallex logoAirwallex logo

Reference Data

Copy for LLMView as Markdown

Reference data made available to support the usage of the Airwallex platform.

Endpoints
GET /api/v1/reference/industry_categories
GET /api/v1/reference/invalid_conversion_dates
GET /api/v1/reference/order_items/expiring_quota
GET /api/v1/reference/order_items/quota
POST /api/v1/reference/order_items/upload
GET /api/v1/reference/supported_currencies

Industry categories

GET /api/v1/reference/industry_categories

Get a tree of industry categories and associated codes and questions

Response body - 200 OK - Multiple values
answerstring

The answer to the question. Only for CODE items under QUESTION items.

Yes, No

namestring

Name of the industry category item. It's null for CODE items under QUESTION items.

questionstring

The question to determine a industry category code. Only for QUESTION items.

typestring

Type of the industry category item.

LIST, CODE, QUESTION

valuestring

The code identifying this industry category. Only for CODE items.

valuesarray

Industry category items under the current item. Only for LIST items and QUESTION items.

Errors
Error statusDescription
401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/reference/industry_categories
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/reference/industry_categories' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1[
2 {
3 "answer": "Yes",
4 "name": "Digital and tech",
5 "question": "<string>",
6 "type": "LIST",
7 "value": "<string>",
8 "values": [
9 {
10 "name": "Financial data and research",
11 "type": "code",
12 "value": "ICCV3_0002XX"
13 },
14 {
15 "name": "Game",
16 "type": "question",
17 "question": "Does your product contain Transferable Virtual Assets (TVA) such as tools, ski...",
18 "values": [
19 {
20 "answer": "Yes",
21 "type": "code",
22 "value": "ICCV3_000300"
23 },
24 {
25 "answer": "No",
26 "type": "code",
27 "value": "ICCV3_000301"
28 }
29 ]
30 }
31 ]
32 }
33]
Was this section helpful?

Invalid conversion dates

GET /api/v1/reference/invalid_conversion_dates

Gets a list of invalid conversion dates for a specified currency_pair.

Parameters
currency_pairrequiredstring

Currency pair to get the invalid conversion dates for

Response body - 200 OK
currency_pairstring

Currency pair that the invalid conversion dates are applicable to

invalid_conversion_datesarray

List of invalid conversion dates

invalid_conversion_dates.datestring

The invalid conversion date

invalid_conversion_dates.reasonstring

Reason as to why the date is invalid

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/reference/invalid_conversion_dates
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/reference/invalid_conversion_dates' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "currency_pair": "AUDUSD",
3 "invalid_conversion_dates": [
4 {
5 "date": "2017-12-25",
6 "reason": "Christmas Day"
7 }
8 ]
9}
Was this section helpful?

Get expiring transfer or deposit limit

GET /api/v1/reference/order_items/expiring_quota

Get available transfer or deposit limit that is about to expire in the next week

Parameters
typestring

type

CN_INBOUND, ID_OUTBOUND, VN_OUTBOUND

Response body - 200 OK
currencystring

Currency of the account order amount

expire_bystring

Expired date for this these order amount

expiring_order_amountnumber

Expiring available order amount of the account

Errors
Error statusDescription
400

Bad request. Data provided is either incomplete or malformed.

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/reference/order_items/expiring_quota
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/reference/order_items/expiring_quota' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "currency": "CNY",
3 "expire_by": "2021-09-16",
4 "expiring_order_amount": 1000
5}
Was this section helpful?

Get transfer or deposit limit

GET /api/v1/reference/order_items/quota

Get available transfer or deposit limit

Parameters
typestring

type

CN_INBOUND, ID_OUTBOUND, VN_OUTBOUND

Response body - 200 OK
available_order_amountnumber

Available order amount of the account

currencystring

Currency of the account order amount

history_order_amountnumber

history order amount of the account

Errors
Error statusDescription
400

Bad request. Data provided is either incomplete or malformed.

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/reference/order_items/quota
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/reference/order_items/quota' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "available_order_amount": 1000,
3 "currency": "CNY",
4 "history_order_amount": 1000
5}
Was this section helpful?

Increase transfer or deposit limit

POST /api/v1/reference/order_items/upload

Increase your transfer or deposit limit by providing cross-border sales order information. Before uploading, please learn about payout limits or deposit limits .

Type CN_INBOUND needs to be enabled before calling this endpoint, please contact your Account Manager. You may provide up to 500 items with each request.

Parameters
allow_partial_successboolean

Allow any order items that pass validation to be used for increasing the limit. If false, all order items must pass validation or the request will be rejected. Defaults to false.

typesarray

Type of limit(s) to increase. Support any of CN_INBOUND, ID_OUTBOUND, defaults to CN_INBOUND

CN_INBOUND, ID_OUTBOUND, VN_OUTBOUND

Request body - Multiple values
categoryrequiredstring

Category of your sales order. One of goods_trade_online, goods_trade_offline, services_trade_education_and_training, services_trade_international_logistics, services_trade_software, services_trade_professional, services_trade_travel, services_trade_travel_and_hospitality

currencyrequiredstring

Order currency in ISO format, One of AED,ALL,AMD,ANG,AOA,ARS,AUD,AWG,AZN,BAM,BBD,BDT,BGN,BIF,BMD,BND,BOB,BRL,BSD,BTN,BWP,BZD,CAD,CHF,CLP,COP,CRC,CVE,CZK,DJF,DKK,DOP,DZD,EGP,ERN,ETB,EUR,FJD,FKP,GBP,GEL,GHS,GIP,GMD,GNF,GTQ,GYD,HKD,HNL,HRK,HUF,IDR,ILS,INR,ISK,JMD,JOD,JPY,KES,KGS,KHR,KMF,KRW,KWD,KYD,KZT,LAK,LBP,LKR,LRD,LSL,LYD,MAD,MDL,MGA,MKD,MNT,MOP,MRU,MUR,MVR,MWK,MXN,MYR,NAD,NIO,NOK,NPR,NZD,OMR,PAB,PEN,PGK,PHP,PKR,PLN,PYG,QAR,RON,RSD,RWF,SAR,SBD,SCR,SEK,SGD,SHP,SLL,SRD,STN,SVC,SZL,THB,TJS,TMT,TND,TOP,TRY,TTD,TWD,TZS,UAH,UGX,USD,UYU,UZS,VND,VUV,WST,XAF,XCD,XOF,XPF,ZAR,ZMW

descriptionstring

Description of the order

item_namerequiredstring

Item name (min. 2 character and max. 256 characters)

item_quantityrequirednumber

Quantity of the item, must be an integer

item_referencestring

Short reference for reconciliation purposes, which will not be passed to external parties

item_unit_pricerequirednumber

Item's unit price

item_urlrequiredstring

URL of the item (min. 1 characters and max. 1000 characters)

line_totalrequirednumber

Line total of the item

order_datetimerequiredstring

Order date time in ISO format, (formatted in ISO08601 datetime format), no more than 350 days old

order_idrequiredstring

Order unique identifier (min. 1 characters and max. 50 characters)

shipment_providerrequiredstring

Name of the logistics provider

shipment_tracking_numberrequiredstring

Tracking number issued by the logistics provider (min. 5 characters and max. 35 characters)

Response body - 200 OK

OK

Errors
Error statusDescription
401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/reference/order_items/upload
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/reference/order_items/upload' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '[
> {
> "category": "goods_trade_online",
> "currency": "IDR",
> "description": "book",
> "item_name": "book",
> "item_quantity": 1,
> "item_reference": "ac3342a4a9434ba69a91bb1c9966b477",
> "item_unit_price": 19.38,
> "item_url": "<string>",
> "line_total": 100,
> "order_datetime": "2021-09-16T03:52:34+0000",
> "order_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
> "shipment_provider": "<string>",
> "shipment_tracking_number": "EG420386995JP"
> }
>]'
Was this section helpful?

Supported currencies

GET /api/v1/reference/supported_currencies

Gets the client-specific list of currencies that can be bought or sold.

Response body - 200 OK
conversionobject

Supported currencies for conversion

conversion.buy_currenciesarray

List of buyable currencies

conversion.sell_currenciesarray

List of sellable currencies

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/reference/supported_currencies
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/reference/supported_currencies' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "conversion": {
3 "buy_currencies": [
4 "AUD",
5 "CAD",
6 "EUR",
7 "GBP",
8 "HKD",
9 "JPY",
10 "NZD",
11 "SGD",
12 "USD",
13 "CNY"
14 ],
15 "sell_currencies": [
16 "AUD",
17 "CAD",
18 "EUR",
19 "GBP",
20 "HKD",
21 "JPY",
22 "NZD",
23 "SGD",
24 "USD",
25 "CNY"
26 ]
27 }
28}
Was this section helpful?